Delete Task
curl --request DELETE \
--url https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId} \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}"
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-client-key': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tasks
Delete Task
Delete a task. Requires Manage Tasks for a task, or Manage Work Orders for a work order. This is not reversible - guard bulk scripts carefully.
DELETE
/
api
/
v1
/
ops
/
workspaces
/
{workspaceId}
/
tasks
/
{taskId}
Delete Task
Path Parameters
UUID of the workspace. Must be your key's own workspace.
Example:
"cb363f7e-c52a-4478-911d-f6a6f791090e"
UUID of the task.
Example:
"232154c0-c239-48f8-b670-0e5d12fd64d0"
Response
Task deleted.
⌘I